// Simple Rocket, made as a test print for my Direct Granules Extruder
// For details see:
// https://homofaciens.de/technics-machines-3D-printer-Granule-Extruder-V3_en.htm

$fn = 100;
R_tank_d = 50;
R_tank_h = 125;
R_h = 150;
R_tip_h = 20;
R_tip_h2 = 14;
R_engine_h = 30;
R_engine_d1 = 30;
R_engine_d2 = 15;
Flap_h = 70;
Flap_w = 50;
Flap_wall = 7;
Flap_cut = 30;

translate([0, 0, R_h-R_tip_h/2])
cylinder(d1=20, d2=0, h=R_tip_h, center=true);

translate([0, 0, R_engine_h/2])
cylinder(d1=R_engine_d1, d2=R_engine_d2, h=R_engine_h, center=true);

translate([0, 0, R_h-R_tank_h/2-R_tip_h2])
scale([1, 1, R_tank_h/R_tank_d])
sphere(d=R_tank_d);

for(i=[0:90:270])rotate([0, 0, i])
hull(){
  translate([0, Flap_w-Flap_wall/2, 1])
    cylinder(d=Flap_wall, h = 2, center=true);
  translate([0, Flap_cut+Flap_wall/2, 1])
    cylinder(d=Flap_wall, h = 2, center=true);
  translate([0, 0, Flap_h])
    cylinder(d=Flap_wall, h = 2, center=true);

}

translate([0, 0, 0.35/2]){
  difference(){
    cylinder(d=Flap_w*2, h=0.35, center=true);
    cylinder(d=Flap_cut*2, h=0.35*1.1, center=true);
  }
}